#![no_std]
#![no_main]

extern crate itsybitsy_m0 as hal;
extern crate panic_halt;

// use hal::clock::GenericClockController;
//use hal::delay::Delay;
use hal::prelude::*;
use hal::entry;
// use hal::pac::{CorePeripherals, Peripherals};
use hal::pac::{Peripherals};

use lights_hal::delay;

#[entry]
fn main() -> ! {
    // let mut peripherals = Peripherals::take().unwrap();
    let peripherals = Peripherals::take().unwrap();
    // let core = CorePeripherals::take().unwrap();
    /* let mut clocks = GenericClockController::with_internal_32kosc(
        peripherals.GCLK,
        &mut peripherals.PM,
        &mut peripherals.SYSCTRL,
        &mut peripherals.NVMCTRL,
    ); */
    let mut pins = hal::Pins::new(peripherals.PORT);
    let mut red_led = pins.d13.into_open_drain_output(&mut pins.port);
    //let mut delay = Delay::new(core.SYST, &mut clocks);
    loop {
        //delay.delay_ms(200u8);
        delay(48_000 * 100);
        red_led.set_high().unwrap();
        //delay.delay_ms(200u8);
        delay(48_000 * 100);
        red_led.set_low().unwrap();
    }
}
